Update a benefit plan
curl --request PATCH \
--url https://api.plane.com/v1/benefit/plans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"status": "<string>",
"coverages": [
{}
],
"country": {},
"network": {},
"starts": {},
"ends": {},
"eligibility": {},
"contribution": {},
"terms": {},
"resources": {},
"metadata": {}
}
'import requests
url = "https://api.plane.com/v1/benefit/plans/{id}"
payload = {
"name": "<string>",
"type": "<string>",
"status": "<string>",
"coverages": [{}],
"country": {},
"network": {},
"starts": {},
"ends": {},
"eligibility": {},
"contribution": {},
"terms": {},
"resources": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
status: '<string>',
coverages: [{}],
country: {},
network: {},
starts: {},
ends: {},
eligibility: {},
contribution: {},
terms: {},
resources: {},
metadata: {}
})
};
fetch('https://api.plane.com/v1/benefit/plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Plans
Update a benefit plan
Update a benefit plan.
PATCH
/
v1
/
benefit
/
plans
/
{id}
Update a benefit plan
Parameters
string
required
ID of the benefit plan.
string
Human-readable plan name.
string
Benefit category. One of
medical, dental, vision, life, disability,
retirement, or other.string
Plan status. One of
draft, active, or inactive.array
Coverage tiers the plan offers.
string | null
ISO-3166 country the plan is offered in.
string | null
Network name or type.
date | null
First day the plan is in effect.
date | null
Last day the plan is in effect.
string | null
CEL expression deciding which workers may elect this plan, evaluated against
the worker shape.
object
Employer cost-sharing policy, by coverage tier.
object
Display summary of plan terms.
object
Plan materials — links and document references.
object
Set of key-value pairs attached to the plan.
Returns
Returns the updated Benefit plan object.Was this page helpful?
⌘I